# iot.eclipse.org

The [iot.eclipse.org](https://iot.eclipse.org) website is generated with [Hugo](https://gohugo.io/documentation/).

Eclipse IoT provides the technology needed to build IoT Devices, Gateways, and Cloud Platforms.

## Getting started

Install dependencies, build website and start a simple webserver:

```bash
npm install && hugo server
```

## Contributing

1. [Fork](https://docs.gitlab.com/ee/user/project/repository/forking_workflow.html) the [iot.eclipse.org](https://gitlab.eclipse.org/eclipsefdn/it/websites/iot.eclipse.org) repository
2. Clone repository: `git clone https://gitlab.eclipse.org/[your_eclipsefdn_username]/iot.eclipse.org.git`
3. Create your feature branch: `git checkout -b my-new-feature`
4. Commit your changes: `git commit -m 'Add some feature' -s`
5. Push feature branch: `git push origin my-new-feature`
6. Submit a merge request

## Project Adopters

Does your organization use Eclipse IoT projects? Organizations — whether they are members of the Eclipse Foundation or not — can be listed as Eclipse IoT technology adopters.

 Show your support for open source by adding your logo to the Eclipse IoT [Adopters](https://iot.eclipse.org/adopters/) page. Please **[create an issue](https://gitlab.eclipse.org/eclipsefdn/it/api/eclipsefdn-project-adopters/-/issues/new?issuable_template=adopter_request)** to add your logo below.

For more information about this program, please visit our [eclipsefdn-project-adopters](https://gitlab.eclipse.org/eclipsefdn/it/api/eclipsefdn-project-adopters) project.

## Related projects

### [EclipseFdn/solstice-assets](https://gitlab.eclipse.org/eclipsefdn/it/webdev/solstice-assets)

Images, less and JavaScript files for the Eclipse Foundation look and feel.

### [EclipseFdn/hugo-solstice-theme](https://gitlab.eclipse.org/eclipsefdn/it/webdev/hugo-solstice-theme/)

Hugo theme of the Eclipse Foundation look and feel. 

## Bugs and feature requests

Have a bug or a feature request? Please search for existing and closed issues. If your problem or idea is not addressed yet, [please open a new issue](https://gitlab.eclipse.org/eclipsefdn/it/websites/iot.eclipse.org/-/issues).

### Declared Project Licenses

This program and the accompanying materials are made available under the terms
of the Eclipse Public License v. 2.0 which is available at
http://www.eclipse.org/legal/epl-2.0.

SPDX-License-Identifier: EPL-2.0

## Maintainers

**Christopher Guindon (Eclipse Foundation)**

- <https://twitter.com/chrisguindon>
- <https://github.com/chrisguindon>

**Eric Poirier (Eclipse Foundation)**

- <https://twitter.com/ericpoir>
- <https://github.com/ericpoirier>

## Trademarks
* Eclipse® is a Trademark of the Eclipse Foundation, Inc.

## Copyright and license

Copyright 2018-2022 the [Eclipse Foundation, Inc.](https://www.eclipse.org) and the [iot.eclipse.org authors](https://gitlab.eclipse.org/eclipsefdn/it/websites/iot.eclipse.org/-/graphs/master). Code released under the [Eclipse Public License Version 2.0 (EPL-2.0)](https://gitlab.eclipse.org/eclipsefdn/it/websites/iot.eclipse.org/-/raw/master/README.md).
