---
title: "Community"
seo_title: "Join our community - Eclipse IoT"
description: "Discover the benefits of the Eclipse IoT Working Group membership"
keywords: ["Eclipse IoT"]
content_classes: "padding-top-50"
header_wrapper_class: "header-alternate-bg-img-1"
layout: "single"
---

## Open Source and Open Collaboration

The Eclipse IoT working group is a vendor-neutral community regrouping Eclipse Foundation members that wish to freely collaborate on new technology development in the IoT space.

Membership in the working group brings many [benefits](https://www.eclipse.org/membership/), including joint marketing initiatives and direct access to a community of skilled and dedicated open source developers. However, our meetings and activities are open to members and non-members alike since we wish to manage our working group in an open, transparent and meritocratic manner.

You will find below a list of community calls and other resources you may join to stay informed about Eclipse IoT and reach out to community members

## Calls

All the calls pertaining to Eclipse IoT are managed through a single shared Google calendar.

You can find a web version of this shared calendar [here](https://calendar.google.com/calendar/embed?src=u5j68s710reqmr37vd78jdlbm4%40group.calendar.google.com&amp;ctz=America%2FToronto). It is also available in [iCal format](https://calendar.google.com/calendar/ical/u5j68s710reqmr37vd78jdlbm4%40group.calendar.google.com/public/basic.ics), which is compatible with most desktop calendar clients.

### Monthly Working Group Calls

We hold a call for working group members every month, the fourth Tuesday of the month. The aim of this call is to discuss upcoming events, ongoing initiatives and give Eclipse IoT projects the opportunity to share updates with the community.

We use a publicly available document to manage the meeting's [agenda](https://docs.google.com/document/d/1ZPG3uQ92nreVPpJQf80iJ4fQj-qMR7vLOAkuFNW-Xws/edit). You can add items to it anytime. One week before the scheduled time for the meeting, we run a survey among community members to determine the priority of the points found in the agenda.

If you use Google Calendar, you can add the invite to your calendar by clicking this [link](https://calendar.google.com/event?action=TEMPLATE&tmeid=Z25hMDFwbmdub3BqaHIwcTRtMnNsN2k0aGpfMjAyMTAyMjNUMTYwMDAwWiB1NWo2OHM3MTByZXFtcjM3dmQ3OGpkbGJtNEBn&tmsrc=u5j68s710reqmr37vd78jdlbm4%40group.calendar.google.com&scp=ALL).

### Project community calls

Several Eclipse IoT projects hold calls to keep in touch with their user community. Please consider attending if you leverage one of the projects below or are just curious about them.

You can use the links provided to add the meeting invites to your Google calendars.

* [Eclipse Hono](https://calendar.google.com/event?action=TEMPLATE&tmeid=X2I5N2t1ajlwNmNvM2djMXA2Y3NqMmQxal8yMDIxMTAyMVQxNTAwMDBaIHU1ajY4czcxMHJlcW1yMzd2ZDc4amRsYm00QGc&tmsrc=u5j68s710reqmr37vd78jdlbm4%40group.calendar.google.com&scp=ALL): Eclipse Hono™ provides remote service interfaces for connecting large numbers of IoT devices to a back end and interacting with them in a uniform way regardless of the device communication protocol.
* [Eclipse IoT Packages](https://calendar.google.com/event?action=TEMPLATE&tmeid=YTljNGc0cG1jajliMHFtYmN2dHVwZ3Zrdm9fMjAyMTExMzBUMTUwMDAwWiB1NWo2OHM3MTByZXFtcjM3dmQ3OGpkbGJtNEBn&tmsrc=u5j68s710reqmr37vd78jdlbm4%40group.calendar.google.com&scp=ALL): Helm charts enabling you to run popular Eclipse IoT projects on Kubernetes
* [Eclipse Kuksa](https://calendar.google.com/event?action=TEMPLATE&tmeid=ZG9wY2Jrb2tyOWJhOWRxOGtwMjc0bnZoMThfMjAyMTExMjVUMTIwMDAwWiB1NWo2OHM3MTByZXFtcjM3dmQ3OGpkbGJtNEBn&tmsrc=u5j68s710reqmr37vd78jdlbm4%40group.calendar.google.com&scp=ALL):&nbsp; Cloud platform that interconnects a wide range of vehicles to the cloud via in-car and internet connections


### Virtual IoT Meetup

The [Virtual IoT Meetup](https://www.meetup.com/Virtual-IoT/) is a community regrouping IoT enthusiasts from all around the world dedicated to discussing and discovering technologies that will make it easier for them to create IoT applications. We hosted [dozens of webinars](https://www.meetup.com/Virtual-IoT/events/past/) in the past, discussing a wide array of IoT-related topics related to the Eclipse ecosystem or not.

Do you wish to present at a future Virtual IoT meetup? Drop us a line at iot@eclipse.org.

## Other communication channels

### Mailing lists

We are using mailing lists for all official communications. They are freely accessible but you need an Eclipse.org account to be able to subscribe to them.

* [Eclipse IoT working group list](https://accounts.eclipse.org/mailing-list/iot-wg)
* [Eclipse IoT Project Management Committee (PMC) list](https://accounts.eclipse.org/mailing-list/iot-pmc)


Most Eclipse IoT projects also have their own mailing list. You will find them on [this page](https://accounts.eclipse.org/mailing-list/).

### Instant Messaging

Our working group has a Slack workspace. [Click here](https://join.slack.com/t/eclipse-iot-wg/shared_invite/zt-qo78fwls-Hre7lBgDLP_h9YB~noz4qg) to join it. 
