---
title: "Code of Conduct"
date: 2019-07-04
hide_page_title: false
hide_sidebar: true
hide_breadcrumb: false
---
All attendees, speakers, sponsors, and volunteers at our conference are required to agree with the following code of conduct.

Organizers will enforce this code throughout the event. We are expecting cooperation from all participants to help ensure a safe environment for everybody.

## The Quick Version

Our conference is dedicated to providing a harassment-free conference experience for everyone, regardless of gender, sexual orientation, disability, physical appearance, body size, race, or religion. We do not tolerate harassment of conference participants in any form. Sexual language and imagery is not appropriate for any conference venue, including talks, workshops, parties, Twitter and other online media. Conference participants violating these rules may be sanctioned or expelled from the conference without a refund at the discretion of the conference organizers.

## The Less Quick Version

Harassment includes offensive verbal comments related to gender, gender identity and expression, sexual orientation, disability, physical appearance, body size, age, race, ethnicity or religion, sexual images in public spaces, deliberate intimidation, stalking, following, harassing photography or recording, sustained disruption of talks or other events, inappropriate physical contact, and unwelcome sexual attention.

Participants asked to stop any harassing behavior are expected to comply immediately.

Sponsors are also subject to the anti-harassment policy. In particular, sponsors should not use sexualized images, activities, or other material. Booth staff (including volunteers) should not use sexualized clothing, uniforms, or costumes, or otherwise create a sexualized environment.

If a participant engages in harassing behavior, the conference organizers may take any action they deem appropriate, including warning the offender or expulsion from the conference with no refund.

If you are being harassed, notice that someone else is being harassed, or have any other concerns, please contact a member of conference staff immediately. A member of the conference staff will be at the registration desk during conference hours.

Conference staff will be happy to help participants contact venue security or local law enforcement, provide escorts, or otherwise assist those experiencing harassment to feel safe for the duration of the conference. We value your attendance.

We expect participants to follow these rules at conference and workshop venues and conference-related social events.

_Original source and credit: [ThingMonk Code of Conduct](http://thingmonk.com/coc.html), [JSConf 2012](http://2012.jsconf.us/#/about), and [GitHub confcodeofconduct.com](https://adainitiative.org/). This work is licensed under a Creative Commons Attribution 3.0 Unported License._  
